# coding=utf-8
#
# Copyright © Cloud Linux GmbH & Cloud Linux Software, Inc 2010-2019 All Rights Reserved
#
# Licensed under CLOUD LINUX LICENSE AGREEMENT
# http://cloudlinux.com/docs/LICENSE.TXT

from __future__ import absolute_import, print_function

import sys
from clcommon.lib.cledition import lve_supported_or_exit
from clcommon.utils import silence_stdout_until_process_exit
from lvestats.lib.info.cloudlinux_top import CloudLinuxTop
import lvestats.lib.config as config


@lve_supported_or_exit
def main():
    try:
        result, exitcode = CloudLinuxTop(config.read_config()).main(*sys.argv[1:])
        print(result)
    except config.ConfigError as ce:
        ce.log_and_exit()
    else:
        silence_stdout_until_process_exit()
        sys.exit(exitcode)


if __name__ == '__main__':
    main()
