# coding=utf-8
#
# Copyright © Cloud Linux GmbH & Cloud Linux Software, Inc 2010-2019 All Rights Reserved
#
# Licensed under CLOUD LINUX LICENSE AGREEMENT
# http://cloudlinux.com/docs/LICENSE.TXT

from __future__ import absolute_import

import sys
from lvestats.snapshots.reader import snapshot_reader_main
from clcommon.lib.cledition import lve_supported_or_exit
from clcommon.utils import silence_stdout_until_process_exit
import lvestats.lib.config as config


@lve_supported_or_exit
def main():
    try:
        cnf = config.read_config()
        exitcode = snapshot_reader_main(cnf, argv_=sys.argv[1:])
    except config.ConfigError as ce:
        ce.log_and_exit()
    else:
        silence_stdout_until_process_exit()
        sys.exit(exitcode)


if __name__ == '__main__':
    main()
